#ifndef USER_WIFI_H_
#define USER_WIFI_H_
#include "os_type.h"

typedef struct{
	bool 	ip_flag;
	bool 	wifi_flag;
	uint8_t wifi_count;
	uint8_t process_count;
} WIFI_PROCESS_FLAGS;

void ICACHE_FLASH_ATTR wifi_set_station(uint8_t* ssid, uint8_t* pass);
void ICACHE_FLASH_ATTR disable_wifi_reconnect(void);
void ICACHE_FLASH_ATTR start_wifi_process(void);
void ICACHE_FLASH_ATTR show_wifi_config(void);


#endif /* USER_WIFI_H_ */
